Facebook API
Circa 2 miliardi di utenti quotidiani condividono post, foto, video, gruppi, eventi e annunci Marketplace su Facebook, rendendolo importante per il raggiungimento della comunità, il servizio clienti, la scoperta locale e il commercio sociale.
URL base
https://api.pressmonitor.com/facebook/v1 Autenticazione
Tutte le richieste utilizzano l'autenticazione Bearer token. Aggiungi l'intestazione Authorization ad ogni chiamata.
Authorization: Bearer YOUR_TOKEN /album-metadata Metadati Album
Album Metadata
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| album_id | string | query | Sì | ID Album |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/album-metadata" querystring = {"album_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/event-details Dettagli Evento
Event Details
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| event_id | string | query | Sì | ID Evento |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/event-details?event_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/event-details" querystring = {"event_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/events-search Cerca eventi
Events Search
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/events-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/get-post Ottieni Post
Get Post
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| post_id | string | query | Sì | ID Post |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/get-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/get-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-about Informazioni sul gruppo
Group About
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-about?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-about" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-admins Amministratori del gruppo
Group Admins
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-admins" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-albums Album del gruppo
Group Albums
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-feed Feed del gruppo
Group Feed
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-info Informazioni sul gruppo
Group Info
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-info?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-info" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-members Membri del gruppo
Group Members
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-members" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/group-photos Foto del gruppo
Group Photos
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-photos" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/groups Gruppi
Groups
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/groups" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/marketplace-product Prodotto marketplace
Marketplace Product
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| product_id | string | query | Sì | ID Prodotto |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-product" querystring = {"product_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/marketplace-profile Profilo marketplace
Marketplace Profile
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-profile" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/marketplace-search Ricerca marketplace
Marketplace Search
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/page-albums Album della pagina
Page Albums
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/page-details Dettagli pagina
Page Details
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-details?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-details" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/page-feed Feed della pagina
Page Feed
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| id | string | query | Sì | ID |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/pages-search Cerca pagine
Pages Search
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/pages-search-post Ricerca post nelle pagine
Pages Search Post
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/photos Foto
Photos
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/photos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/post-comments Commenti al post
Post Comments
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| post_id | string | query | Sì | ID Post |
| end_cursor | string | query | No | Cursore finale |
| order | string | query | No | Ordine |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-comments" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","order":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/post-reactions Reazioni al post
Post Reactions
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| post_id | string | query | Sì | ID Post |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/post-reactions-count Conteggio reazioni al post
Post Reactions Count
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| post_id | string | query | Sì | ID Post |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions-count" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/posts-search Cerca post
Posts Search
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| date_posted | string | query | No | Data di pubblicazione |
| end_cursor | string | query | No | Cursore finale |
| end_date | string | query | No | Data di fine |
| recent_posts | string | query | No | Post recenti |
| start_date | string | query | No | Data di inizio |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search" querystring = {"query":"SOME_STRING_VALUE","date_posted":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","end_date":"SOME_STRING_VALUE","recent_posts":"SOME_STRING_VALUE","start_date":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/posts-search-post Ricerca post
Posts Search Post
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-about Informazioni sul profilo
Profile About
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-about" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-albums Album del profilo
Profile Albums
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-albums" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-feed Feed del profilo
Profile Feed
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-feed" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-friends Amici del profilo
Profile Friends
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-friends" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-likes Mi piace del profilo
Profile Likes
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-likes" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-page Pagina del profilo
Profile Page
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-page" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-photos Foto del profilo
Profile Photos
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-photos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-search Cerca profili
Profile Search
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-search-post Ricerca post del profilo
Profile Search Post
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/profile-videos Video del profilo
Profile Videos
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| user_id | string | query | Sì | ID utente |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-videos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/url URL
Url
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| url | string | query | Sì | URL |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/video-id-url URL ID video
Video Id Url
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| url | string | query | Sì | URL |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/video-id-url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/video-id-url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Risposte
/videos Video
Videos
Parametri
| Nome | Tipo | Posizione | Obbligatorio | Descrizione |
|---|---|---|---|---|
| query | string | query | Sì | Query di ricerca |
| end_cursor | string | query | No | Cursore finale |
Esempi di codice
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/videos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute();